<template>
  <div
    v-for="block in weekendBlocks"
    :key="block.startDate?.toISOString()"
    :style="dateToPosition(block)"
    class="WeekendBlock"
  />
</template>

<script lang="ts" setup>
import { weekendBlocks } from '@/states/weekPlanning'
import { dateToPosition } from './timedPosition'
</script>

<style lang="scss" scoped>
@use 'src/style/variables' as v;
@use './weekPlanning' as wp;

.WeekendBlock {
  position: absolute;
  height: 100%;
  background: var(--weekPlanning-weekend);
}
</style>
